package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.HostModel;

import java.util.List;

/**
 * 存储磁盘
 */
public class StorageDiskModel {
    private Long id;
    private String diskUuid; // 标识
    private String storageUuid; // 所属集群uuid
    private String storageKeyPath; // 所属集群keyPath
    private String identifier; // 驱动器标识
    private String name; // 名称
    private String type; // 类型
    private String path; // 路径
    private Double blockSize; // 数据块大小
    private String status; // 状态
    private String enabledState; // 状态
    private String use; // 用途
    private String port1Status; // 端口1状态
    private String port2Status; // 端口2状态
    private String dataStatus; // 数据状态(Json)：{healthyPercent:1,degradedPercent:0,recoveryPercent:0,unavailablePercent:0},分别为：健康的、降级的、待恢复、不可用
    private Long capacity; // 容量byte
    private Long usedCapacity; // 已用容量byte
    private String model; // 型号
    private Integer rpm; // 转速
    private String firmwareLevel; // 固件级别
    private String uid; // 唯一标识
    private String slotId; // 插槽标识
    private String enclosureId; // 机柜标识
    private String fruIdentity; // 部件标识
    private String fruPartNum; // 部件号
    private String techType; // 技术类型
    private String nodeId; // 节点标识
    private String nodeName; // 节点名称
    private String vendorId; // 供应商标识
    private String productId; // 产品编号
    private String fpgaLevel; // fpga级别
    private String memberId; // 成员标识
    private String quorumId; // 定额标识
    private String keyPath; // smis用来传参
    private String captionType; //华为硬盘类型
    private String encryption; //硬盘加密类型
    private String operationalStatus; // 运行状态
    private HostModel host; // 所属服务器
    private Boolean isUsed; // 是否使用
    private Boolean isCache; // 是否缓存盘
    private Boolean isRoot; // 是否系统盘
    private List<StorageDiskPartitionModel> partitions; // 磁盘分区
    private String props;

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getDiskUuid() {
        return diskUuid;
    }

    public void setDiskUuid(String diskUuid) {
        this.diskUuid = diskUuid;
    }

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getBlockSize() {
        return blockSize;
    }

    public void setBlockSize(Double blockSize) {
        this.blockSize = blockSize;
    }

    public String getEnabledState() {
        return enabledState;
    }

    public void setEnabledState(String enabledState) {
        this.enabledState = enabledState;
    }

    public String getUse() {
        return use;
    }

    public void setUse(String use) {
        this.use = use;
    }

    public String getPort1Status() {
        return port1Status;
    }

    public void setPort1Status(String port1Status) {
        this.port1Status = port1Status;
    }

    public String getPort2Status() {
        return port2Status;
    }

    public void setPort2Status(String port2Status) {
        this.port2Status = port2Status;
    }

    public Long getCapacity() {
        return capacity;
    }

    public void setCapacity(Long capacity) {
        this.capacity = capacity;
    }

    public Integer getRpm() {
        return rpm;
    }

    public void setRpm(Integer rpm) {
        this.rpm = rpm;
    }

    public String getFirmwareLevel() {
        return firmwareLevel;
    }

    public void setFirmwareLevel(String firmwareLevel) {
        this.firmwareLevel = firmwareLevel;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getSlotId() {
        return slotId;
    }

    public void setSlotId(String slotId) {
        this.slotId = slotId;
    }

    public String getEnclosureId() {
        return enclosureId;
    }

    public void setEnclosureId(String enclosureId) {
        this.enclosureId = enclosureId;
    }

    public String getFruIdentity() {
        return fruIdentity;
    }

    public void setFruIdentity(String fruIdentity) {
        this.fruIdentity = fruIdentity;
    }

    public String getFruPartNum() {
        return fruPartNum;
    }

    public void setFruPartNum(String fruPartNum) {
        this.fruPartNum = fruPartNum;
    }

    public String getTechType() {
        return techType;
    }

    public void setTechType(String techType) {
        this.techType = techType;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getVendorId() {
        return vendorId;
    }

    public void setVendorId(String vendorId) {
        this.vendorId = vendorId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getFpgaLevel() {
        return fpgaLevel;
    }

    public void setFpgaLevel(String fpgaLevel) {
        this.fpgaLevel = fpgaLevel;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getQuorumId() {
        return quorumId;
    }

    public void setQuorumId(String quorumId) {
        this.quorumId = quorumId;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getCaptionType() {
        return captionType;
    }

    public void setCaptionType(String captionType) {
        this.captionType = captionType;
    }

    public String getEncryption() {
        return encryption;
    }

    public void setEncryption(String encryption) {
        this.encryption = encryption;
    }

    public String getOperationalStatus() {
        return operationalStatus;
    }

    public void setOperationalStatus(String operationalStatus) {
        this.operationalStatus = operationalStatus;
    }

    public Long getUsedCapacity() {
        return usedCapacity;
    }

    public void setUsedCapacity(Long usedCapacity) {
        this.usedCapacity = usedCapacity;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public HostModel getHost() {
        return host;
    }

    public void setHost(HostModel host) {
        this.host = host;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public Boolean getIsCache() {
        return isCache;
    }

    public void setIsCache(Boolean cache) {
        isCache = cache;
    }

    public Boolean getIsRoot() {
        return isRoot;
    }

    public void setIsRoot(Boolean root) {
        isRoot = root;
    }

    public List<StorageDiskPartitionModel> getPartitions() {
        return partitions;
    }

    public void setPartitions(List<StorageDiskPartitionModel> partitions) {
        this.partitions = partitions;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getIsUsed() {
        return isUsed;
    }

    public void setIsUsed(Boolean used) {
        isUsed = used;
    }
}
